Subject: Re: [bitcoin-dev] BIP150/151 concerns and some comments

From: Tom Zander <[email-masked]>
Date: Tue, 14 Feb 2017 19:01:03 +0100

On Tuesday, 14 February 2017 17:10:15 CET Jonas Schnelli via bitcoin-dev 
wrote:
> - If you use one of the todays available SPV clients, you will reveal
> your complete wallet content („~all your addresses") to every network
> observer between you and the node you have connected to. This means, if
> you pay for a coffee (while being on the owners WIFI), the coffee owner
> and all the involved ISPs can correlate your wallet with your other
> internet behavior. Same is true for your cellphone provider if you use
> cellular.

What about allowing trusted users connecting on a different connection. Much 
like the RPC one.
Make that one encrypted. Different usecase, different connection.

-- 
Tom Zander
Blog: https://zander.github.io
Vlog: https://vimeo.com/channels/tomscryptochannel